package cn.superdesk.uniorder.service._dashboard;

import cn.superdesk.uniorder.dto.vo._dashboard.*;

import java.util.List;
import java.util.Map;

public interface BackendDashboardService {


    List<UnifiedDashboardHeadDataVo> getDashboardHeadData(Map<String, Object> params) ;

    List<UnifiedDashboardProjectPurchaseVo> getDashboardProjectPurchase(Map<String, Object> params) ;


    List<UnifiedDashboardYearPurchaseVo> getDashboardYearPurchase(Map<String, Object> params);

    List<UnifiedDashboardProjectPurchaseCompareVo> getDashboardProjectPurchaseCompare(Map<String, Object> params) ;

    List<UnifiedDashboardPurchaseCateCompareVo> getDashboardPurchaseCateCompare(Map<String, Object> params) ;

    List<UnifiedDashboardGoodsPurchaseRankingVo> getDashboardGoodsPurchaseRanking(Map<String, Object> params) ;


}
